import socket

server = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)  # создаем UDP-сокет
server.bind(('0.0.0.0', 10001))  # слушаем порт 10001
print("UDP сервер запущен")

while True:
    data, addr = server.recvfrom(1024)  # получаем данные и адрес отправителя
    print(f"Сообщение от {addr}: {data.decode()}")
    server.sendto(data.upper(), addr)  # отправляем ответ